import {
  request
} from "../utils/request";
module.exports = {
  //获取充值配置信息
  getProducts: data => request('/v3/product', 'get', data),
  // 领取代金卷
  getVoucher: data => request('/v3/activity/voucher', 'post', data),
  // 获取任务配置
  getTasks: data => request('/v3/task', 'get', data),
  // 提交任务
  submitTask: data => request('/v3/task', 'post', data),
  // 获取轮播图列表
  getBannerList: data => request('/v3/banner', 'get', data),
  // 获取官方活动
  getActivities: data => request('/v3/activity', 'get', data),
  // 获取排行榜详情
  getRankingData: data => request(`/v3/activity/${data}`, 'get', data),
  // 获取朗读赛范文
  getModelTexts: data => request('/activityRead', 'get', data),
  // 获取朗读赛排行榜
  getReadRanking: data => request('/activityJoinUser/hotAmountTop', 'get', data),
  // 获取朗读赛排行榜参赛作品
  getSelfReadRanking: data => request('/activityJoinUser/activityRead', 'get', data),
  // 用户行为统计
  // RECOMMEND(name: "推荐”) ,MY(name: ”我的 ")，RESOURCES(name: "资源")， SUBSCRIBE(name: "关注"),REC_ READ(name: ”推荐 - 我要配音 ")，WXREADING(name: ”开始朗读 ") ,APP_EXAMPLE(name: "示范"), RERECORDING(name: "重录"), UPLOAD(name: "上传作品")， MY_ INFO(name: “个人信息 ") ,INTEGRAL(name: "小红花")， MY_ SUBSCRIBE(name: "我的关注"), MY_ FAVORITES(name: ”我的收藏”),MESSAGE(name: ”消息通知”)， SERVICE(name: "客服"), WXUPLOAD("微信上传作品"),  WXSCORE("微信获取评分"),
  userEvent: data => request('/userEvent/v2', 'post', data),
}