import {
  request
} from "../utils/request";
module.exports = {
  // 获取作品类目
  getCategoryList: data => request('/v3/column', 'get', data),
  // 获取作品二级类目内容
  getCategoryWorks: data => request('/v3/column/opus', 'get', data),
  // 作品查询
  searchWorks: data => request('/v3/recommend/query', 'get', data),
  // 获取优秀作品展播列表
  getHotrecommendList: data => request('/userRead/recommend', 'get', data),
  // 获取官方推荐作品列表
  getAuthorityList: data => request('/v3/recommend', 'get', data),
  // 发布作品
  publishWorks: data => request('/userRead', 'post', data),
  // 上传挑战结果
  uploadPk: data => request('/v3/pk', 'post', data),
  // 获取挑战结果
  getPkResult: data => request(`/v3/pk/info/${data}`, 'get'),
  // 获取作品的挑战记录
  getPkRecord: data => request('/v3/pk', 'get', data),
  // 获取关注的人的作品
  getFollowWorks: data => request('/fans/interest', 'get', data),
  // 发布朗读赛作品
  publishRankWorks: data => request('/activityRead', 'post', data),
  // 上传作品评分
  postWorksScore: data => request('/assessment', 'post', data),
  //查询某作品的所有用户作品
  getUserReadByExampleId: data => request('/userRead/userReadByExampleId', 'get', data),
  // 分享时调用，判断分享作品是不是活动作品
  // wx/activityJoinRead/isActivityRead/{readId}2月17日 16:52
  isActivityWork: data => request(`/activityJoinRead/isActivityRead/${data}`, 'get'),
}